Bug 150028

Summary: Embedded previews of photos
Product: dolphin Reporter: Frosch <p.roediger>
Component: generalAssignee: Peter Penz <peter.penz19>
Status: RESOLVED FIXED    
Severity: normal    
Priority: NOR    
Version: 16.12.2   
Target Milestone: ---   
Platform: Compiled Sources   
OS: Linux   
Latest Commit: Version Fixed In:

Description Frosch 2007-09-20 10:48:03 UTC
Version:           KDE 4 (using KDE Devel)
Installed from:    Compiled sources
OS:                Linux

In my view, it is of utmost importance that dolphin is able to use possible embedded previews in photos. If it already does so, then how can this be enabled? If you have a folder with say 200 pictures (which is not unusual in the digital-camera-age), resolution say 7 MP and each of it has a size of 3-5 MB it will take forever for dolphin to compute all previews from the actual pictures (besides the fact that the CPU load will be 100% during that time). The solution is obvious, simple and already there: The current konqueror of KDE 3.5 (end even before i guess) supports using embedded previews in pictures and displaying them for even large directories (with way more than 200 pics) is incredibly fast.

I really hope this feature will find its way into dolphin before kde 4 will be released. As so many people today have all their pictures (and yes, many of the users will have even more and even larger pictures) stored on their computer, this wish sould even be considered a blocker...

I file this as a bug, because I really think that this feature is so crucial for a good user experience, that its importance should be lifted from a simple wish.
Comment 1 Peter Penz 2007-10-01 07:44:07 UTC
The code for previews is not part of Dolphin itself (it's common code shared by Konqi and Dolphin) but I'll have a look on this part. It's open whether we can fix this already for KDE 4.0.
Comment 2 Peter Penz 2007-10-14 00:31:09 UTC
SVN commit 724946 by ppenz:

allow to configure whether file thumbnails should be embedded for the file preview (on per default)

BUG: 150028

 M  +13 -2     generalviewsettingspage.cpp  
 M  +2 -0      generalviewsettingspage.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=724946